Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rdlc.rdl
Class ChannelModel_Indirect

    java.lang.Object
      rdlc.rdl.Declaration_Named
          rdlc.rdl.Declaration_Indirect
              rdlc.rdl.ChannelModel_Indirect

All Implemented Interfaces:
  ChannelModel, Declaration, Expression

     class ChannelModel_Indirect

extends Declaration_Indirect
implements ChannelModel

This class exists as a proxy for a named `ChannelModel`.

Version:
  $Revision: 1.15 $
Author:
  Greg Gibeling

Nested Class Summary

Nested classes/interfaces inherited from interface rdlc.rdl.Expression
`Expression.Phase`

Field Summary

Fields inherited from class rdlc.rdl.Declaration_Indirect
`rawTargetID, target`

Fields inherited from class rdlc.rdl.Declaration_Named
`iName, namespace, rawStaticID`

Constructor Summary
`ChannelModel_Indirect(RawStaticIdentifier _rawTargetID)`

Method Summary
`int` | `getBackwardLatency()` Simple accessor.
`int` | `getBitwidth()` Simple accessor.
`int` | `getBuffering()` Simple accessor.
`int` | `getForwardLatency()` Simple accessor.
`void` | `resolve(java.util.HashSet<Declaration> markSet, Log errorLog, Expression.Phase phase)` Resolves the static identifier given as part of this indirect declaration.
`java.lang.String` | `toString()` Simple accessor.

Methods inherited from class rdlc.rdl.Declaration_Indirect
`getBase, getLambdaName, getNamedBase, getRequirements, getTarget, getType, typeMatch`

Methods inherited from class rdlc.rdl.Declaration_Named
`getIdentifier, getRawStaticID, setNamespace, setRawStaticID`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface rdlc.rdl.Declaration
`getBase, getIdentifier, getLambdaName, getNamedBase, getType, setRawStaticID`

Methods inherited from interface rdlc.rdl.Expression
`getRequirements, setNamespace, typeMatch`

Constructor Detail

### ChannelModel_Indirect

    public ChannelModel_Indirect(RawStaticIdentifier _rawTargetID)

See Also:
  `Declaration_Indirect.Declaration_Indirect(RawStaticIdentifier)`

Method Detail

### toString

    public java.lang.String toString()

  Simple accessor.

  Overrides:
    `toString` in class `Declaration_Named`
  Returns:
    A human readable representation of this object, for debugging.

### getBitwidth

    public int getBitwidth()

  Description copied from interface: `ChannelModel`
  Simple accessor.

  Specified by:
    `getBitwidth` in interface `ChannelModel`
  Returns:
    The bitwidth/fragment width of this channel.
  See Also:
    `ChannelModel.getBitwidth()`

### getForwardLatency

    public int getForwardLatency()

  Description copied from interface: `ChannelModel`
  Simple accessor.

  Specified by:
    `getForwardLatency` in interface `ChannelModel`
  Returns:
    The forward latency of this channel.
  See Also:
    `ChannelModel.getForwardLatency()`

### getBuffering

    public int getBuffering()

  Description copied from interface: `ChannelModel`
  Simple accessor.

  Specified by:
    `getBuffering` in interface `ChannelModel`
  Returns:
    The number of fragments of storage in this channel.
  See Also:
    `ChannelModel.getBuffering()`

### getBackwardLatency

    public int getBackwardLatency()

  Description copied from interface: `ChannelModel`
  Simple accessor.

  Specified by:
    `getBackwardLatency` in interface `ChannelModel`
  Returns:
    The backward latency of this channel.
  See Also:
    `ChannelModel.getBackwardLatency()`

### resolve

    public void resolve(java.util.HashSet<Declaration> markSet,
                        Log errorLog,
                        Expression.Phase phase)

  Description copied from class: `Declaration_Indirect`
  Resolves the static identifier given as part of this indirect declaration.

  Specified by:
    `resolve` in interface `Expression`
  Overrides:
    `resolve` in class `Declaration_Indirect`
  Parameters:
    `markSet` - Complete hash set of declarations on which the caller depends (including itself).
    `errorLog` - Log of errors to be reported to the user.
    `phase` - The phase of resolution to perform.
  See Also:
    `Expression.resolve(HashSet, Log, Phase)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD